Bug 811926 - (CVE-2011-4954) CVE-2011-4954 cobbler: Local privilege escalation due use of insecure (world writable) location for PYTHON_EGG_CACHE cache
CVE-2011-4954 cobbler: Local privilege escalation due use of insecure (world ...
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 811942 811943
Blocks: 811959
  Show dependency treegraph
Reported: 2012-04-12 06:54 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-12 06:54:03 EDT
A local privilege escalation flaw was found in the way Cobbler, a network install server, performed management of its egg cache. A local attacker able to trick the administrator to run cobbler with specially-crafted PYTHON_EGG_CACHE content could use this flaw to escalate their privileges and potentially execute arbitrary code with the privileges of privileged system user (root).

[1] https://bugs.launchpad.net/ubuntu/+source/cobbler/+bug/858875

CVE Request:
[2] http://www.openwall.com/lists/oss-security/2012/04/12/6

Upstream ticket:
[3] https://fedorahosted.org/cobbler/ticket/688

Relevant upstream patch:
[4] https://d-feet.fedorahosted.org/cobbler/attachment/ticket/688/58_fix_egg_cache.patch
Comment 1 Jan Lieskovsky 2012-04-12 06:57:04 EDT
This issue affects the versions of the cobbler package, as shipped with Fedora
EPEL 5 and Fedora EPEL 6. Please schedule an update.

As of right now, this issue did NOT affect the current versions of the cobbler
package, as shipped with Fedora release of 15 and 16 (the cobbler-2.0.11-3.*
versions). But since there are cobbler-2.2.2-1.fc* versions scheduled to get
next stable versions and these are affected too, please schedule Fedora release
15 and 16 cobbler package versions updates too.
Comment 2 Jan Lieskovsky 2012-04-12 06:58:32 EDT
This issue did NOT affect the version of the cobbler package, as shipped with Red Hat Network Satellite Server version 5.4.1 for Red Hat Enterprise Linux 5 and 6.
Comment 3 Jan Lieskovsky 2012-04-12 07:28:16 EDT
Created cobbler tracking bugs for this issue

Affects: fedora-all [bug 811942]
Affects: epel-all [bug 811943]
Comment 4 Kurt Seifried 2012-04-12 12:14:51 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/04/12/10
Comment 5 Jan Lieskovsky 2012-06-20 12:12:12 EDT

This issue did not affect the version of cobbler as shipped with Red Hat Network Satellite Server 5.4 as it did not include the upstream commit be4fc806637cf8cec275fea80b892182879580eb that introduced this flaw.

Note You need to log in before you can comment on or make changes to this bug.